Topic: Some of the MDB4 components used in my Projects not available in MDB5 . Request for alternative solution.

Aroquiassamy LA ROZE priority asked 9 months ago


Expected behavior MDB5 Components needed (humanizeBytes IMyOptions UploadInput MdbStepperComponent UploadInput UploadOutput UploaderOptions MdbTableDirective MdbTablePaginationComponent ClockPickerComponent) Actual behavior Currently we are doing MDB5 -ANGULAR 15 Project conversion process. In my previous project we were using MDB4 -ANGULAR 9. while our project migration process we faced the errors in mdb-angular-ui-kit. we cannot use some of the MDB4 Components in MDB5 due to missing of some features/components. here i mentioned the list of missing MDB5 Components. Resources (screenshots, code snippets etc.) humanizeBytes IMyOptions UploadInput MdbStepperComponent UploadInput UploadOutput UploaderOptions MdbTableDirective MdbTablePaginationComponent ClockPickerComponent


Arkadiusz Idzikowski staff answered 9 months ago


The MDB5 library is a brand new product, not a new version of MDB4. We tried to keep as many similarities as possible to make migration easier, but the names and syntax of many components may be slightly different.

Here are some MDB5 Angular components/plugins that you may need (unfortunately, not every component from MDB4 has its substitute in MDB5):

File upload plugin: https://mdbootstrap.com/docs/angular/plugins/file-upload/

Datatable (table directive and pagination): https://mdbootstrap.com/docs/angular/data/datatables/

Timepicker: https://mdbootstrap.com/docs/angular/forms/timepicker/

Stepper: https://mdbootstrap.com/docs/angular/components/stepper/

In order to migrate to MDB5 you need to check the MDB4 and MDB5 documentation and compare syntax, component/modules names and import paths.


Aroquiassamy LA ROZE priority commented 9 months ago

Thanks for your reply.


Aroquiassamy LA ROZE priority commented 9 months ago

Sir. currently my project in MDB4 and ANGULAR 9. I need to convert my project to angular 15 version. Can i convert My angular project from MDB4 -ANGULAR 9 to MDB4-ANGULAR 15. Could you confirm me whether MDB5 is essential to convert my project to ANGULAR 15.


Arkadiusz Idzikowski staff commented 9 months ago

The latest version of MDB4 (ng-uikit-pro-standard) is 15.0.0, this version has support for Angular 15. We recommend switching to MDB5, but it is not essential in this case if you only want to upgrade to the new Angular version. Please note that migration from v9 to v15 of MDB4 may also involve many breaking changes and you may need to adjust your project.



Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue

  • ForumUser: Priority
  • Premium support: Yes
  • Technology: MDB Angular
  • MDB Version: -
  • Device: -
  • Browser: -
  • OS: -
  • Provided sample code: No
  • Provided link: No
Tags